@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    overflow-x: hidden;
}
body{
    font-family: 'Popins', sans-serif;
}
.header-container{
    position: relative;
    z-index: 999;
    height: 12vh;
    width: 100vw;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    box-shadow: 1px 1px 1px #1a1a1d12;
    padding: 0 40px;
}
.img-titulo{
    height: 45px;
    width: 100px;
    display: flex;
    align-self: center;
    justify-content: center;
    border-radius: 0.15rem;
    box-shadow: 2px 1px 1.5px 1px  #8383e5e2; 
}
.img-titulo > img{
    width: 60px;
    height: 35px;
    border-radius: 0.15rem;
    box-shadow: 2px 1px 1.5px 1px  #8383e5e2;
}
.checkbox-container{
    position: absolute;
    right: 0;
    margin-top: 10px;
}
#toggle{
    display: none;
}
.menu-items{
    margin-right: 40px;
}
.menu-items ul{
    list-style-type: none;
    display: flex;
}
li{
    margin: 5px;
    padding: 0.25rem 0.5rem;
    border-radius: 0.25rem;
    transition: .4s ease-in-out;
    box-shadow: 1px 2px 2px #8383e5e2;
}
li > a{
    color: #1E1E2A;
    text-decoration: none;
}
.nav-link:hover{
    background-color: #e8e7e7;
}
.link-contato{
    background-color: #6e6eda;
}
.link-contato > a{
    color: #ffff;
}
.link-contato:hover{
    background-color: #5151c4;
}
.container-descricao{
    display: flex;
    justify-content: space-around;
    margin-top: 3rem;
    width: 100%;
    transition: 0.3s;
}
.logo-marca{
    width: 30%;
    height: 100px;
    margin: 5px;
    display: flex;
    flex-direction: column;
}
.titulo-marca{
    margin-top: 1rem;
    color: #6e6eda;
    font-size: 3rem;
}
.logo-marca > p{
    margin-top: 5px;
}
.sobre{
    margin: 2rem;
    display: flex;
    flex-direction: column;
    line-height: 1.2;
    width: 40%;
    padding: 5px;
    
}
.sobre > p{
    font-size: 1.2rem;
    
}
.conferir{
    width: 25%;
    font-size: 0.95rem;
    text-align: center;
    color: #ffffff;
    margin-top: 10px;
    padding: 5px;
    border-radius: 0.25rem;
    background-color: #ed3237;
}
.titulo-vitrine{
    margin-top: 2rem;
    text-align: center;
    width: 100vw;
    padding: 5px;
    color: #ffffff;
    background-color: #8383e5e2;
}
.titulo-carinho{
    margin-top: 2rem;
    text-align: center;
    width: 100vw;
    padding: 5px;
    color: #000000;
}
/* ==== Produtos ==== */

#produtos{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    
}
.produto-single{
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    margin-top: 2rem;
    margin-right: 10px;
    border-radius: .35rem;
    border: 1px solid #1a1a1d12;
    background-color: #ffffff;
    transition: .3s ease-in-out;
}
.produto-single img{
    margin-top: 0;
    width: 100%;
    border-radius: 0.35rem .35rem 0 0;
}
.produto-single > p, img{
    margin: 8px;
}
.link-carrinho{
    display: block;
    border: none;
    width: 75%;
    text-align: center;
    color: #000000;
    padding: 2px;
    margin: 8px;
    cursor: pointer;
    border-radius: .25rem;
    background-color: #c1fc67;
    transition: .3s ease-in-out;
}
.link-carrinho:hover{
    background-color: rgba(170, 241, 63, 0.976);
    width: 80%;
}

/* ===== swiper =====*/


/* ==== Carrinho ==== */
#carrinho{
    width: 50vw;
    margin: auto;
    display: flex;
    margin-bottom: 20px;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    border-radius: 0.35rem;
    background-color: white;
    box-shadow: 1px 1px 1.5px 1px #8383e5e2;
}

.info-carrinho{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 1rem;
    box-shadow: 1px 1px 1px #1a1a1d12;
}
.info-carrinho-produto { 
     width: 60%;  
} 
.info-carrinho-quantidade { 
    width: 15%;   
} 
.info-carrinho-preco { 
    text-align: right; 
    width: 25%;  
} 
.info-total{
    margin-top: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.info-total > p{
    margin: 3px;
}
.btn-remover{
    margin: 4px;
    font-size: 0.75rem;
    display: block;
    border: none;
    cursor: pointer;
    background-color: transparent;
}

.bxs-x-circle{
    color: #e95757;
    font-size: 18px;
    background-color: white;
    
}
.btn-pay{
    border: none;
    display: block;
    color: #ffffff;
    padding: 5px;
    margin: 3px;
    width: 12%;
    border-radius: 0.25rem;
    cursor: pointer;
    background-color: #0e76a8;
    transition: 0.2s ease-in-out;
}
.btn-pay:hover{
    background-color: #074461;
}
.container-form{
    width: 50vw;
    padding: 5px;
    margin: auto;
    margin-top: 2rem;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    border-radius: 5px;
    box-shadow: 1px 1px 1.5px 1px #8383e5e2;
    
}
.container-form > p{
    font-size: 0.90rem;
}
.contato-form{
    width: 100%;
    padding: 5px;
    display: flex;
    flex-direction: column;
}
form input,
form label,
form button,
form textarea{
    width: 100%;
    font-size: 0.90rem;
    margin-bottom: 0.5rem;
    border-radius: 0.15rem;
    transition: boder-color, 0.3s ease-in-out;
}
textarea{
    height: 8rem;
    resize: vertical;
}
input:hover,
input:focus,
textarea:hover,
textarea:focus{
    outline: none;
    border-color: #8383e5e2;
}
form > button{
    display: block;
    padding: 0.75rem;
    color: #ffff;
    text-transform: uppercase;
    border: none;
    border-radius: 0.25rem;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    background: #8383e5e2;
    transition: 0.3s ease-in-out;
}

.btn-enviar:hover,
.btn-enviar:focus{
    outline: none;
    background: #6e6eda;
}
.footer-container{
    
    width: 100vw;
    margin-top: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #8383e5e2;
}
.footer-section{
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}
.logo{
    
    height: 35px;
    width: 40%;
    padding: 0 1rem;
    display: flex;
    align-items: center;
    margin-top: 1rem;
    border-radius: 0.15rem;
    box-shadow: 2px 1px 1.5px 1px #000000;
    background-color: #ffffff;
}
.descricao{
    width: 40%;
    color: #ffffff;
    margin-top: 0.25rem;
    font-size: clamp(.813rem,.7rem + .55vw,1.125rem);
    line-height: 1.5;
}
.social-media{
    display: flex;
    width: 40%;
    margin-top: 2px;
    margin-bottom: 10px;
}
.social-media a{
 
    padding: 5px;
    margin-right: 3px;
    border-radius: 0.25rem;
    text-decoration: none;
    color: #1E1E2A;
    display: flex;
    background-color: #ffffff;
    transition: .5s ease-in-out;
}
.icon-social{
    margin-top: 1px;
    font-size: 20px;
}
.icon-social:hover{
    color:  #6e6eda;
    transition: .4s ease-in-out
}
.bxl-github{
    color: #1E1E2A;
}
.bxl-linkedin-square{
    color: #0e76a8;
}

.scrollup{
    position: fixed;
    right: 1rem;
    bottom: -30%;
    background-color: #ffffff;
    box-shadow: 0 8px 12px hsl(228, 66%, 45%, .1);
    display: inline-flex;
    padding: .35rem;
    border-radius: .25rem;
    color: #6e6eda;
    font-size: 1.25rem;
    z-index: 10;
    transition: .3s;
}
.scrollup:hover{
    transform: translateY(-.25rem);
    color: #8383e5e2;
}
.show-scroll{
    bottom: 8rem;
}
@media screen and (max-width: 881px){
    .info-carrinho,
    .info-total > p{
        font-size: 0.60rem;
    }
    .bxs-x-circle{
        font-size: 12px;
    }
    
}
@media screen and (max-width: 767px) {
.header-container{
    height: 10vh;
    padding: 0 30px;
}
    
.checkbox-container{
    display: flex;
    justify-content: center;
    align-items: center;
}
.checkbox{
    height: 100px;
    width: 60px;
    position: absolute;
    right: 0;
    top: 0;
    justify-content: center;
    cursor: pointer;
    z-index: 9999;
    transition: 400ms ease-in-out 0s;
}
.checkbox .trace{
    width: 35px;
    height: 2px;
    background-color: #8383e5e2;
    position: absolute;
    border-radius: 4px;
    transition: 0.5s ease-in-out;
}
.checkbox .trace:nth-child(1){
    transform: rotate(0);
}
.checkbox .trace:nth-child(2){
    top: 10px;
    transform: rotate(0);
}
.checkbox .trace:nth-child(3){
    top: 20px;
    transform: rotate(0);
    
}
.menu{
    position: absolute;
    top: 28px;
    right: 30px;
    background-color: transparent;
    height: 4px;
    width: 10px;
    border-radius: 50%;
    box-shadow: 0px 0px 0px 0px #ffff;
    z-index: -1;
    transition: 400ms ease-in-out 0s;
}
.menu-items{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    z-index: 2;
    opacity: 0;
    visibility: hidden;
    transition: 400ms ease-in-out 0s;
}
ul{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.menu-items ul li a {
    margin: 10px 0;
    margin-bottom: 5px;
    color: #1E1E2A;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 4px;
    font-size: 1.5rem;
}

li{
    margin-bottom: 10px;
    padding: 0.25rem 1rem;
    border-radius: 0.25rem;
    transition: .4s ease-in-out;
    box-shadow: 1px 2px 2px #8383e5e2;
}
li:hover{
    background-color: rgb(232, 231, 231);
}
#toggle:checked + .checkbox .trace:nth-child(1) {
    transform: rotate(45deg);
    top: 8px;
}
#toggle:checked + .checkbox .trace:nth-child(2){
    transform: translate(-100px);
    width: 30px;
    visibility: hidden;
    opacity: 0;

}
#toggle:checked + .checkbox .trace:nth-child(3){
    transform: rotate(-45deg); 
    top: 9px;
}
#toggle:checked + .checkbox{
    background-color: #ffff;
}
#toggle:checked ~ .menu{
    box-shadow: 0px 0px 0px 100vmax #ffff;
    z-index: 1;
}
#toggle:checked ~ .menu-items{
    visibility: visible;
    opacity: 1;
    }
    .container-descricao{
        align-items: center;
        flex-direction: column;
    }
    .titulo-marca{
        font-size: 2.5rem;
    }
    .logo-marca, 
    .sobre{
        width: 90%;
        align-items: center;
        justify-content: center;
    }
    .sobre > p{
        margin-left: 15px;
        font-size: clamp(.813rem,.7rem + .55vw,1.125rem);
    }
    .conferir{
        width: 40%;
        font-size: 0.75rem;
    }
    .produto-single{
        width: 80%;
        row-gap: 0.2rem;
        margin-right: 0;
    }
    
}
@media screen and (max-width: 590px){
    
    .checkbox{
        width: 50px;
    }
    .checkbox > .trace{
        width: 25px;
        height: 2px;
    }
    .menu-items ul li a{
        font-size: 0.75rem;
    }
    .produto-single a{
        font-size: .75rem;
    }
    #carrinho{
        width: 90%;
    }
    .info-carrinho, 
    .info-total{
        width: 100%;
    }
    .container-form{
        width: 90%;
    }
    
    form label,
    textarea,
    button, 
    .info-carrinho,
    .info-total,
    .container-form > p{
        font-size: 0.60rem;
        line-height: 1.5;
    }
    textarea{
        height: 4rem;
    }
    .logo{
        width: 80%;
        font-size: 1rem;
    }
    .descricao{
        width: 80%;
    }
    .social-media{
        width: 100%;
        align-items: center;
        justify-content: center;
    }
    .social-media i{
        font-size: 15px;
    }
}